<?php
session_start();

require('fpdf.php');
include($_SERVER[DOCUMENT_ROOT].'/kernel/conecta.php');

$sql = selecionar('fechamento,caixa,user.pdv','caix_tx_status',"!inativo"," AND caix_nb_pdv = pdv_nb_id AND fech_nb_id = '$_GET[id_caixa]' ORDER BY caix_nb_id DESC LIMIT 1");
if( num_linhas($sql) == 0 ) {
	echo "ERRO: Nenhum caixa!";
}

$a = carrega_array($sql);

define(PASTA_LOCAL,$_SERVER[DOCUMENT_ROOT].$CACTUX_CONF['path']);

//$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir.pdf';

// VERIFICA O ID DO USUARIO QUE IMPRIMIU PARA MANTER A FILA DE IMPRESSAO
if( $_SESSION[user_nb_id] == '' )	$ID_USER = rand(1000,9999); else	$ID_USER = $_SESSION[user_nb_id];

$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir_'.$_GET[impressora].'_'.$ID_USER.'.pdf';

// INICIA A CRIAÇÃO DO PDF
$pdf = new FPDF("P","mm",array($CONFIGURA[LARGURA_IMPRESSAO],$CONFIGURA[ALTURA_IMPRESSAO]));
$pdf->SetMargins($CONFIGURA[MARGEM_ESQUERDA],$CONFIGURA[MARGEM_TOPO],$CONFIGURA[MARGEM_DIREITA]);
$pdf->AddPage();

$pdf->SetFont('arial','',7);

$pdf->Cell(0,3,$CONFIGURA[NOME_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[CNPJ_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[ENDERECO_IMPRESSAO],0,1,'C');
if ($CONFIGURA[COMPLEMENTO_IMPRESSAO]!='') {
	$pdf->Cell(0,3,$CONFIGURA[COMPLEMENTO_IMPRESSAO],0,1,'C');
}
$pdf->Cell(0,3,$CONFIGURA[CEP_IMPRESSAO],0,1,'C');
if($CONFIGURA[MODO_PRESCRITOR]=='SIM'){
	$a_empr = carregar('empresa',1);
	if($a_empr[empr_tx_fone] != '' || $a_empr[empr_tx_cel] != ''){
		if($a_empr[empr_tx_fone] != '' && $a_empr[empr_tx_cel] != '')
			$pdf->Cell(0,3,"$a_empr[empr_tx_fone] / $a_empr[empr_tx_cel]",0,1,'C');
		else
			$pdf->Cell(0,3,"$a_empr[empr_tx_fone]$a_empr[empr_tx_cel]",0,1,'C');
	}

}
$pdf->Ln(5);


$pdf->SetFont('arial','B',8);
$pdf->Cell(0,3,mb_strtoupper($a[fech_tx_tipo]).' - '.$a[pdv_tx_nome],0,1,"C");
$pdf->Ln(2);


$pdf->SetFont('arial','',11);
$pdf->Cell(40,3,"OPERAÇÃO",0,0,"L");
$pdf->Cell(30,3,"VALOR",0,1,"R");
$pdf->Ln(1);


$pdf->SetFont('Courier','',9);
$pdf->Cell(40,3,strtoupper($a[fech_tx_tipo]),0,0,"L");
$pdf->Cell(30,3,mostra_valor($a[fech_tx_valor])." ",0,1,"R");
$pdf->Ln(1);
$height = (ceil(($pdf->GetStringWidth($a[fech_tx_obs]) / 75)) * 1);
$pdf->MultiCell(0,$height,$a[fech_tx_obs],0);

$pdf->Ln(4);
$pdf->SetFont('arial','',9);
$pdf->Ln(30);

$pdf->Cell(0,3,"Data ".data($a[fech_tx_data],3),0,1,"C");
$pdf->Cell(0,3,"Usuário: ".$a[user_tx_login],0,1,"C");



// GERA O ARQUIVO PDF
$pdf->Output($arquivo_pdf,'F');
// $pdf->Output();

$id_impressora = id_impressora();

bat_imprime($arquivo_pdf,$id_impressora);

